1. v1
AirHub API
  • Introduction
  • Authentication
    • Overview
    • Get Oauth Token
      POST
  • Briefing
    • Overview
    • B4UFLY
      • What Is B4UFLY
      • The API Basics
      • Location vs Area
      • What's New in v2
      • v2
        • B4UFLY Briefing By Area
        • B4UFLY Briefing By Location
      • v1
        • B4UFLY Briefing By Area
          POST
        • B4UFLY Briefing By Location
          POST
  • Data
    • Positions
      • Send Positions
    • Elevation v1
      • Elevation
    • Elevation v2
      • Elevation
  • Operations
    • ASL Operations
      • List Operations
      • Create Operation
      • Get Operation
      • Delete Operation
      • Update Operation
    • LAANC SDSP
      • Overview
      • LAANC Operations
        • Get Operation
        • Delete Operation
        • Create Operation
        • Update Operation
      • LAANC Authorizations
        • Rescinded and Invalid Operations
        • Submit Authorization
        • Get Authorization
        • Cancel Authorization
        • Cancel Invalid Authorization
        • Close Authorization
        • Acknowledge Rescinded Authorization
    • Ephemeral Operations
      • Create Ephemeral Operations
      • Get Ephemeral Operation
      • Delete Ephemeral Operation
      • Claim Ephemeral Operation
  • Surface, Risk, and Routing
    • Overview
    • Surface Layers
      • Get Surface Layer Access
    • Risk and Routing
      • Classify Risk
      • Generate Route
      • Surface Hexbin
  • Vector Tiles
    • Overview
AirHub® Portal (Sandbox)
  1. v1

B4UFLY Briefing By Area

Sandbox
https://airhub-api-sandbox.airspacelink.com
Sandbox
https://airhub-api-sandbox.airspacelink.com
POST
/v1/briefing/b4ufly/area
Last modified:2026-04-02 22:41:41
Scope: briefing:area:read

Request

Authorization
Body Params application/jsonRequired

Example
{
    "boundary": {
        "coordinates": [
            [
                [
                    -83.07861764257095,
                    42.335222895650645
                ],
                [
                    -83.07861764257095,
                    42.318879440902606
                ],
                [
                    -83.05487387644406,
                    42.318879440902606
                ],
                [
                    -83.05487387644406,
                    42.335222895650645
                ],
                [
                    -83.07861764257095,
                    42.335222895650645
                ]
            ]
        ],
        "type": "Polygon"
    },
    "omitGeometry": false
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://airhub-api-sandbox.airspacelink.com/v1/briefing/b4ufly/area' \
--header 'Content-Type: application/json' \
--data-raw '{
    "boundary": {
        "coordinates": [
            [
                [
                    -83.07861764257095,
                    42.335222895650645
                ],
                [
                    -83.07861764257095,
                    42.318879440902606
                ],
                [
                    -83.05487387644406,
                    42.318879440902606
                ],
                [
                    -83.05487387644406,
                    42.335222895650645
                ],
                [
                    -83.07861764257095,
                    42.335222895650645
                ]
            ]
        ],
        "type": "Polygon"
    },
    "omitGeometry": false
}'

Responses

🟢200
application/json
A successful response.
Body

Example
{
    "status": "NOTICE_STATUS_UNSPECIFIED",
    "authorizationType": "AUTHORIZATION_TYPE_UNSPECIFIED",
    "notices": [
        {
            "dataSource": "NOTICE_DATA_SOURCE_UNSPECIFIED",
            "dataSubtype": "NOTICE_DATA_SUBTYPE_UNSPECIFIED",
            "title": "R-3002D",
            "description": "Lorem ipsum ....",
            "distance": 1.1234,
            "status": "NOTICE_STATUS_UNSPECIFIED",
            "code": "NOTICE_CODE_UNSPECIFIED",
            "ruleCode": "RULE_CODE_UNSPECIFIED",
            "ruleDescription": "No person may operate a small unmanned aircraft in restricted airspace unless that person has permission from the appropriate authority. Individuals violating any of these restrictions may be subject to FAA and/or law enforcement action.",
            "authority": "Federal Aviation Administration",
            "sourceUrl": "https://sua.faa.gov",
            "contact": {
                "text": "Colonel Sanders: 1-800-chicken",
                "phoneNumber": "+1234567890",
                "email": "test@gmail.com",
                "url": "https://wwww.airspacelink.com"
            },
            "lowerAltitude": {
                "value": 200,
                "unit": "ALTITUDE_UNIT_UNSPECIFIED",
                "reference": "ALTITUDE_REFERENCE_UNSPECIFIED"
            },
            "upperAltitude": {
                "value": 200,
                "unit": "ALTITUDE_UNIT_UNSPECIFIED",
                "reference": "ALTITUDE_REFERENCE_UNSPECIFIED"
            },
            "geometry": {
                "coordinates": [
                    [
                        [
                            -83.07861764257095,
                            42.335222895650645
                        ],
                        [
                            -83.07861764257095,
                            42.318879440902606
                        ],
                        [
                            -83.05487387644406,
                            42.318879440902606
                        ],
                        [
                            -83.05487387644406,
                            42.335222895650645
                        ],
                        [
                            -83.07861764257095,
                            42.335222895650645
                        ]
                    ]
                ],
                "type": "Polygon"
            },
            "schedule": {
                "startTime": "2024-08-24T14:15:22Z",
                "endTime": "2024-12-30T23:00:00Z",
                "timezone": "America/New_York",
                "text": "INTERMITTENT, 0600 - 0200, DAILY; OTHER TIMES BY NOTAM 6 HOURS IN ADVANCE",
                "timesOfUse": [
                    {
                        "daysActive": [
                            "SUN",
                            "MON",
                            "TUE",
                            "WED",
                            "THU",
                            "FRI",
                            "SAT"
                        ],
                        "dailyStart": "09:00",
                        "dailyEnd": "22:00",
                        "startTime": "2023-01-01T00:00:00Z",
                        "endTime": "9999-12-30T23:59:59Z",
                        "timezone": "America/New_York"
                    }
                ]
            },
            "events": [
                {
                    "name": "Detroit Lions vs. Los Angeles Rams",
                    "type": "NFL",
                    "startTime": "2025-01-12T12:00:00Z",
                    "endTime": "2025-01-12T14:30:00Z"
                }
            ]
        }
    ]
}
⚪default
Modified at 2026-04-02 22:41:41
Previous
B4UFLY Briefing By Location
Next
B4UFLY Briefing By Location
Built with